%define enable_japanese 1

Summary: A text file browser similar to more, but better.
Name: less
Version: 346
Release: 2j2
License: GPL
Group: Applications/Text
Source: http://www.flash.net/~marknu/less/%{name}-%{version}.tar.gz
Source10: ftp://ftp.big.or.jp/pub/usr2/jam/less/contrib/less-jp-help-iso212.gz
Source11: ftp://ftp.big.or.jp/pub/usr2/jam/less/contrib/less-jp-help-iso212-242.patch.gz
Source12: lesspipe-j.sh
Source1: lesspipe.sh
Source2: less.sh
Source3: less.csh

Patch10: less-346-iso.patch

URL: http://www.flash.net/~marknu/less/
Buildroot: /var/tmp/less-root

%description
The less utility is a text file browser that resembles more, but has
more capabilities.  Less allows you to move backwards in the file as
well as forwards.  Since less doesn't have to read the entire input file
before it starts, less starts up more quickly than text editors (for
example, vi). 

You should install less because it is a basic utility for viewing text
files, and you'll use it frequently.

%prep
%setup -q
%if %{enable_japanese}
%patch10 -p1 -b .ISO

zcat ${RPM_SOURCE_DIR}/less-jp-help-iso212.gz|uudecode
zcat ${RPM_SOURCE_DIR}/less-jp-help-iso212-242.patch.gz|uudecode
cp -f less.hlp less.hlp.org
gzip -d less.hlp.ja.gz 
gzip -dc less.hlp.ja.diff.gz |patch -p0 
cp -f less.hlp.ja  less.hlp
%endif

%build
%configure
make datadir=/usr/doc

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr
strip -R .comments $RPM_BUILD_ROOT/usr/bin/less
mkdir -p $RPM_BUILD_ROOT/etc/profile.d
%if %{enable_japanese}
install -c -m 755 %{SOURCE12} $RPM_BUILD_ROOT/usr/bin/lesspipe.sh
%else
install -c -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/bin/
%endif
install -c -m 755 %{SOURCE2} $RPM_BUILD_ROOT/etc/profile.d
install -c -m 755 %{SOURCE3} $RPM_BUILD_ROOT/etc/profile.d

%files
%if %{enable_japanese}
%doc README.iso README.iso.jp 
%endif
%doc README NEWS INSTALL
/etc/profile.d/*
/usr/bin/*
/usr/man/man1/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog

* Thu Mar 23 2000 Chris Ding <cding@redhat.com>
- added lesspipe-j.sh
- Matt hacked for 6.2J

* Tue Mar  7 2000 Jeff Johnson <jbj@redhat.com>
- rebuild for sparc baud rates > 38400.

* Tue Jan 25 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to v346
- Update download URL
- use the configure marcro
- strip binary
- fix up lesspipe stuff (Bug #8750 and a couple of non-reported bugs)
  (Karsten, did I mention I'll kill you when you return from SAP? ;) )

* Sun Jan 07 2000 Karsten Hopp <karsten@redhat.de>
- added lesspipe.sh to show listings of package
  contents instead of binary output.

* Fri Aug 27 1999 Preston Brown <pbrown@redhat.com>
- less finally gets maintenance, upgraded to 340

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Tue Mar 16 1999 Preston Brown <pbrown@redhat.com>
- removed ifarch axp stuff for /bin/more, more now works on alpha properly.

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Thu May 07 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- updated to 332 and built for Manhattan
- added buildroot

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
